summaryrefslogtreecommitdiff
path: root/tests/misc/timeout.sh
diff options
context:
space:
mode:
authorJim Meyering <meyering@fb.com>2014-07-01 09:40:50 -0700
committerJim Meyering <meyering@fb.com>2014-07-02 09:07:26 -0700
commit04fc32f7e038e92e033c770211749be683c74973 (patch)
treef700df8b05061ca8eb845185dd2f057812f6b8fc /tests/misc/timeout.sh
parent28d1dc525182c347f2346c52fa7b5ab4a9b1a148 (diff)
downloadcoreutils-04fc32f7e038e92e033c770211749be683c74973.tar.xz
tests: use "env builtin" in place of "$abs_top_builddir/src/builtin"
This works for any program that might also be a shell built-in. It is more concise. In addition, it makes output more reproducible: some diagnostics include argv[0], which will now be just the program name, rather than the full absolute name of the executable. * tests/misc/sort-compress.sh: Use env kill, rather than absolute name. * tests/install/trap.sh: Likewise. * tests/misc/timeout.sh: Likewise. * tests/touch/no-dereference.sh: Do the same for two uses of "test". * tests/touch/no-create-missing.sh: Likewise.
Diffstat (limited to 'tests/misc/timeout.sh')
-rwxr-xr-xtests/misc/timeout.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/misc/timeout.sh b/tests/misc/timeout.sh
index 247c2fc4c..8eaeef958 100755
--- a/tests/misc/timeout.sh
+++ b/tests/misc/timeout.sh
@@ -51,7 +51,7 @@ test $? = 124 && fail=1
# Use a subshell and an exec to work around a bug in FreeBSD 5.0 /bin/sh.
(
# ash doesn't support "trap '' CHLD"; it knows only signal numbers.
- sig=$("$abs_top_builddir/src/kill" -l CHLD 2>/dev/null) && trap '' $sig
+ sig=$(env kill -l CHLD 2>/dev/null) && trap '' $sig
exec timeout 10 true
) || fail=1